
Katello - Bug #24092

Package profile uploads fails with warning " ERROR:  duplicate key value violates unique constraint

"katello_host_installed_packages_h_id_ip_id""

06/27/2018 01:19 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1595301 Red Hat JIRA:  

Pull request:    

Description

Running `vagrant up centos7-katello-bats-ci` and looking in the task list:

PG::UniqueViolation: ERROR:  duplicate key value violates unique constraint "katello_host_installe

d_packages_h_id_ip_id" 

DETAIL:  Key (host_id, installed_package_id)=(1, 1) already exists.

: INSERT INTO katello_host_installed_packages (installed_package_id, host_id) VALUES (1, 1), (2, 1

), (3, 1), (4, 1), (5, 1), (6, 1), (7, 1), (8, 1), (9, 1), (10, 1), (11, 1), (12, 1), (13, 1), (14

, 1), (15, 1), (16, 1), (17, 1), (18, 1), (19, 1), (20, 1), (21, 1), (22, 1), (23, 1), (24, 1), (2

5, 1), (26, 1), (27, 1), (28, 1), (29, 1), (30, 1), (31, 1), (32, 1), (33, 1), (34, 1), (35, 1), (

36, 1), (37, 1), (38, 1), (39, 1), (40, 1), (41, 1), (42, 1), (43, 1), (44, 1), (45, 1), (46, 1), 

(47, 1), (48, 1), (49, 1), (50, 1), (51, 1), (52, 1), (53, 1), (54, 1), (55, 1), (56, 1), (57, 1),

 (58, 1), (59, 1), (60, 1), (61, 1), (62, 1), (63, 1), (64, 1), (65, 1), (66, 1), (67, 1), (68, 1)

, (69, 1), (70, 1), (71, 1), (72, 1), (73, 1), (74, 1), (75, 1), (76, 1), (77, 1), (78, 1), (79, 1

), (80, 1), (81, 1), (82, 1), (83, 1), (84, 1), (85, 1), (86, 1), (87, 1), (88, 1), (89, 1), (90, 

1), (91, 1), (92, 1), (93, 1), (94, 1), (95, 1), (96, 1), (97, 1), (98, 1), (99, 1), (100, 1), (10

1, 1), (102, 1), (103, 1), (104, 1), (105, 1), (106, 1), (107, 1), (108, 1), (109, 1), (110, 1), (

111, 1), (112, 1), (113, 1), (114, 1), (115, 1), (116, 1), (117, 1), (118, 1), (119, 1), (120, 1),

 (121, 1), (122, 1), (123, 1), (124, 1), (125, 1), (126, 1), (127, 1), (128, 1), (129, 1), (130, 1

), (131, 1), (132, 1), (133, 1), (134, 1), (135, 1), (136, 1), (137, 1), (138, 1), (139, 1), (140,

 1), (141, 1), (142, 1), (143, 1), (144, 1), (145, 1), (146, 1), (147, 1), (148, 1), (149, 1), (15

0, 1), (151, 1), (152, 1), (153, 1), (154, 1), (155, 1), (156, 1), (157, 1), (158, 1), (159, 1), (

160, 1), (161, 1), (162, 1), (163, 1), (164, 1), (165, 1), (166, 1), (167, 1), (168, 1), (169, 1),

 (170, 1), (171, 1), (172, 1), (173, 1), (174, 1), (175, 1), (176, 1), (177, 1), (178, 1), (179, 1

), (180, 1), (181, 1), (182, 1), (183, 1), (184, 1), (185, 1), (186, 1), (187, 1), (188, 1), (189,

 1), (190, 1), (191, 1), (192, 1), (193, 1), (194, 1), (195, 1), (196, 1), (197, 1), (198, 1), (19

9, 1), (200, 1), (201, 1), (202, 1), (203, 1), (204, 1), (205, 1), (206, 1), (207, 1), (208, 1), (

209, 1), (210, 1), (211, 1), (212, 1), (213, 1), (214, 1), (215, 1), (216, 1), (217, 1), (218, 1),

 (219, 1), (220, 1), (221, 1), (222, 1), (223, 1), (224, 1), (225, 1), (226, 1), (227, 1), (228, 1

), (229, 1), (230, 1), (231, 1), (232, 1), (233, 1), (234, 1), (235, 1), (236, 1), (237, 1), (238,

 1), (239, 1), (240, 1), (241, 1), (242, 1), (243, 1), (244, 1), (245, 1), (246, 1), (247, 1), (24

8, 1), (249, 1), (250, 1), (251, 1), (252, 1), (253, 1), (254, 1), (255, 1), (256, 1), (257, 1), (

258, 1), (259, 1), (260, 1), (261, 1), (262, 1), (263, 1), (264, 1), (265, 1), (266, 1), (267, 1),

 (268, 1), (269, 1), (270, 1), (271, 1), (272, 1), (273, 1), (274, 1), (275, 1), (276, 1), (277, 1

), (278, 1), (279, 1), (280, 1), (281, 1), (282, 1), (283, 1), (284, 1), (285, 1), (286, 1), (287,

 1), (288, 1), (289, 1), (290, 1), (291, 1), (292, 1), (293, 1), (294, 1), (295, 1), (296, 1), (29

7, 1), (298, 1), (299, 1), (300, 1), (301, 1), (302, 1), (303, 1), (304, 1), (305, 1), (306, 1), (

307, 1), (308, 1), (309, 1), (310, 1), (311, 1), (312, 1), (313, 1), (314, 1), (315, 1), (316, 1),

 (317, 1), (318, 1), (319, 1), (320, 1), (321, 1), (322, 1), (323, 1), (324, 1), (325, 1), (326, 1

), (327, 1), (328, 1), (329, 1), (330, 1), (331, 1), (332, 1), (333, 1), (334, 1), (335, 1), (336,

 1), (337, 1), (338, 1), (339, 1), (340, 1), (341, 1), (342, 1), (343, 1), (344, 1), (345, 1), (34

6, 1), (347, 1), (348, 1), (349, 1), (350, 1), (351, 1), (352, 1), (353, 1), (354, 1), (355, 1), (

356, 1), (357, 1), (358, 1), (359, 1), (360, 1), (361, 1), (362, 1), (363, 1), (364, 1), (365, 1),

 (366, 1), (367, 1), (368, 1), (369, 1), (370, 1), (371, 1), (372, 1), (373, 1), (374, 1), (375, 1

), (376, 1), (377, 1), (378, 1), (379, 1), (380, 1), (381, 1), (382, 1), (383, 1), (384, 1), (385,

 1), (386, 1), (387, 1), (388, 1), (389, 1), (390, 1), (391, 1), (392, 1), (393, 1), (394, 1), (39
5, 1), (396, 1), (397, 1), (398, 1), (399, 1), (400, 1), (401, 1), (402, 1), (403, 1), (404, 1), (

405, 1), (406, 1), (407, 1), (408, 1), (409, 1), (410, 1), (411, 1), (412, 1), (413, 1), (414, 1),

 (415, 1), (416, 1), (417, 1), (418, 1), (419, 1), (420, 1), (421, 1), (422, 1), (423, 1), (424, 1

), (425, 1), (426, 1), (427, 1), (428, 1), (429, 1), (430, 1), (431, 1), (432, 1), (433, 1), (434,

 1), (435, 1), (436, 1), (437, 1), (438, 1), (439, 1), (440, 1), (442, 1), (444, 1), (445, 1), (44

7, 1), (448, 1), (450, 1), (451, 1), (453, 1), (454, 1), (456, 1), (457, 1), (459, 1), (460, 1), (

461, 1), (462, 1), (464, 1), (466, 1), (467, 1), (469, 1), (470, 1), (471, 1), (473, 1), (474, 1),

 (476, 1), (477, 1), (479, 1), (481, 1), (482, 1), (483, 1), (485, 1), (487, 1), (488, 1), (489, 1

), (490, 1), (492, 1), (494, 1), (496, 1), (498, 1), (499, 1), (500, 1), (501, 1), (503, 1), (505,

 1), (507, 1), (508, 1), (510, 1), (511, 1), (513, 1), (514, 1), (516, 1), (518, 1), (520, 1), (52

1, 1), (522, 1), (524, 1), (526, 1), (528, 1), (529, 1), (531, 1), (532, 1), (534, 1), (536, 1), (

538, 1), (540, 1), (541, 1), (542, 1), (543, 1), (544, 1), (545, 1), (546, 1), (548, 1), (549, 1),

 (550, 1), (552, 1), (553, 1), (554, 1), (555, 1), (556, 1), (557, 1), (558, 1), (559, 1), (560, 1

), (562, 1), (563, 1), (565, 1), (566, 1), (567, 1), (569, 1), (571, 1), (572, 1), (574, 1), (575,

 1), (577, 1), (579, 1), (580, 1), (582, 1), (583, 1), (585, 1), (587, 1), (588, 1), (590, 1), (59

1, 1), (594, 1), (595, 1), (596, 1), (597, 1), (598, 1), (599, 1), (601, 1), (602, 1), (603, 1), (

604, 1), (605, 1), (606, 1), (607, 1), (608, 1), (609, 1), (610, 1), (611, 1), (612, 1), (613, 1),

 (614, 1), (616, 1), (618, 1), (619, 1), (621, 1), (623, 1), (625, 1), (626, 1), (628, 1), (630, 1

), (632, 1), (633, 1), (634, 1), (636, 1), (637, 1), (639, 1), (641, 1), (643, 1), (644, 1), (645,

 1), (647, 1), (648, 1), (649, 1), (651, 1), (652, 1), (653, 1), (655, 1), (656, 1), (657, 1), (65

8, 1), (660, 1), (661, 1), (663, 1), (664, 1), (666, 1), (667, 1), (669, 1), (671, 1), (673, 1), (

674, 1), (676, 1), (677, 1), (678, 1), (680, 1), (681, 1), (682, 1), (684, 1), (685, 1), (686, 1),

 (687, 1), (689, 1), (690, 1), (692, 1), (693, 1), (695, 1), (696, 1), (698, 1), (699, 1), (701, 1

), (703, 1), (704, 1), (706, 1), (707, 1), (709, 1), (710, 1), (712, 1), (713, 1), (716, 1), (717,

 1), (718, 1), (720, 1), (722, 1), (723, 1), (725, 1), (726, 1), (728, 1), (730, 1), (731, 1), (73

3, 1), (734, 1), (736, 1), (738, 1), (739, 1), (741, 1), (742, 1), (744, 1), (746, 1), (747, 1), (

749, 1), (750, 1), (752, 1), (753, 1), (755, 1), (757, 1), (758, 1), (760, 1), (762, 1), (763, 1),

 (765, 1), (766, 1), (768, 1), (770, 1), (771, 1), (773, 1), (774, 1), (776, 1), (778, 1), (779, 1

), (780, 1), (781, 1), (783, 1), (784, 1), (786, 1), (787, 1), (788, 1), (790, 1), (791, 1), (793,

 1), (795, 1), (796, 1), (798, 1), (799, 1), (801, 1), (803, 1), (804, 1), (806, 1), (807, 1), (80

9, 1), (810, 1), (813, 1), (814, 1), (816, 1), (817, 1), (819, 1), (821, 1), (822, 1), (824, 1), (

825, 1), (827, 1), (829, 1), (830, 1), (832, 1), (834, 1), (835, 1), (837, 1), (838, 1), (840, 1),

 (842, 1), (843, 1), (845, 1), (846, 1), (848, 1), (849, 1), (852, 1), (853, 1), (855, 1), (856, 1

), (858, 1), (859, 1), (861, 1), (863, 1), (864, 1), (866, 1), (867, 1), (869, 1), (870, 1), (872,

 1), (874, 1), (876, 1), (878, 1), (879, 1), (881, 1), (883, 1), (885, 1), (886, 1), (888, 1), (89

0, 1), (892, 1), (893, 1), (895, 1), (897, 1), (898, 1), (900, 1), (902, 1), (904, 1), (905, 1), (

907, 1), (908, 1), (909, 1), (911, 1), (913, 1), (914, 1), (916, 1), (918, 1), (919, 1), (922, 1),

 (923, 1), (925, 1), (926, 1), (928, 1), (929, 1), (931, 1), (933, 1), (934, 1), (936, 1), (937, 1

), (939, 1), (940, 1), (942, 1), (943, 1), (945, 1), (947, 1), (948, 1), (950, 1), (951, 1), (953,

 1), (954, 1), (956, 1), (958, 1), (959, 1), (961, 1), (963, 1), (964, 1), (966, 1), (967, 1), (96

9, 1), (971, 1), (973, 1), (975, 1), (977, 1), (979, 1), (980, 1), (982, 1), (983, 1), (985, 1), (

986, 1), (988, 1), (990, 1), (991, 1), (993, 1), (994, 1), (996, 1), (998, 1), (999, 1), (1001, 1)

, (1003, 1), (1004, 1), (1006, 1), (1007, 1), (1009, 1), (1011, 1), (1012, 1), (1014, 1), (1015, 1

), (1017, 1), (1019, 1), (1020, 1), (1022, 1), (1023, 1), (1025, 1), (1027, 1), (1028, 1), (1030, 

1), (1032, 1), (1033, 1), (1035, 1), (1036, 1), (1038, 1), (1040, 1), (1041, 1), (1043, 1), (1044,

 1), (1046, 1), (1048, 1), (1049, 1), (1051, 1), (1053, 1), (1054, 1), (1056, 1), (1057, 1), (1059

, 1), (1061, 1), (1062, 1), (1064, 1), (1066, 1), (1067, 1), (1069, 1), (1070, 1), (1072, 1), (107

4, 1), (1075, 1), (1077, 1), (1079, 1), (1080, 1), (1082, 1), (1083, 1), (1085, 1), (1087, 1), (10

89, 1), (1090, 1), (1091, 1), (1092, 1), (1094, 1), (1096, 1), (1098, 1), (1099, 1), (1101, 1), (1

103, 1), (1104, 1), (1106, 1), (1107, 1), (1109, 1), (1111, 1), (1113, 1), (1115, 1), (1117, 1), (

1119, 1), (1120, 1), (1121, 1), (1122, 1), (1124, 1), (1125, 1), (1127, 1), (1128, 1), (1129, 1), 

(1130, 1), (1132, 1), (1134, 1), (1136, 1), (1138, 1), (1139, 1), (1140, 1), (1142, 1), (1144, 1),

 (1145, 1), (1146, 1), (1147, 1), (1149, 1)

undefined method `each' for true:TrueClass

History

#1 - 06/27/2018 05:37 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#2 - 06/29/2018 05:01 PM - Ivan Necas

- Bugzilla link set to 1595301

#3 - 08/15/2018 06:19 PM - Jonathon Turel

- Assignee set to Eric Helms
- Triaged changed from Yes to No

#4 - 08/16/2018 05:16 PM - Eric Helms

Re-tested on nightly and still seeing this:

ansible-playbook pipelines/pipeline_katello_nightly.yml -e forklift_state=up

The first "Package Profile Update for pipeline-katello-nightly-centos7.woodford.example.com" task ends in a warning state with this issue.

#5 - 08/20/2018 01:17 PM - Eric Helms

- Target version changed from Katello 3.8.0 to Katello 3.8.1

#6 - 08/22/2018 06:12 PM - Andrew Kofink

- Triaged changed from No to Yes

- Team Backlog Brad added

#7 - 10/24/2018 04:28 PM - Samir Jha

Is this still reproducible with the nightly box or bats?

#8 - 11/01/2018 05:49 PM - Samir Jha

- Target version changed from Katello 3.8.1 to Katello 3.10.0

Pulling out of 3.8.1 and adding to 3.10 for now. Can be re-triaged if needed.

#9 - 11/29/2018 12:08 PM - Christine Fouant

- Target version changed from Katello 3.10.0 to Katello 3.11.0

#10 - 01/09/2019 07:15 PM - Jonathon Turel

- Status changed from New to Closed

- Target version deleted (Katello 3.11.0)

seems to no longer be an issue, closing!
